{namespace twoh=TWOH\TwohKickstarter\ViewHelpers}

<f:layout name="Boxed" />

<f:section name="content">
    <div class="button-wrapper {f:if(condition: data.hideOnMobile, then: 'd-none d-md-block')} m{data.marginPos}{data.margin}">
        <f:render section="Button" arguments="{_all}" />
    </div>
</f:section>

<f:section name="Headline">
    <{data.headlines} class="{data.headlines} mb-0">
        {data.header}
    </{data.headlines}>
</f:section>


<f:section name="Button">
    <div class="button-module d-flex {data.position} w-100">
        <f:if condition="{data.url}">
            <f:link.typolink
                    parameter="{data.url}"
                    additionalAttributes="{type:'button'}"
                    class="btn btn-hover-blue {data.bgColor} {data.textColor} btn-outline-darkBlue rounded-pill py-1 px-3 text-uppercase text-decoration-none wrapper-{data.width} {f:if(condition: data.bottom, then: 'position-absolute bottom-0')}"
            >
                <span>
                    <f:render section="Headline" arguments="{_all}" />
                </span>
            </f:link.typolink>
        </f:if>
    </div>
</f:section>